Name:       perl-SQL-Shell 
Version:    1.14 
Release:    2%{?dist}
# lib/SQL/Shell.pm -> GPLv2 (refers to "the GPL", bundled COPYING is GPLv2)
License:    GPLv2
Group:      Development/Libraries
Summary:    Command interpreter for DBI shells 
Source:     http://search.cpan.org/CPAN/authors/id/B/BB/BBC/SQL-Shell-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/SQL-Shell
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::CaptureOutput)
BuildRequires: perl(Log::Trace)
BuildRequires: perl(strict)
BuildRequires: perl(Test::Assertions)
BuildRequires: perl(Test::Assertions::TestScript)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(vars)

%description
SQL::Shell is a command-interpreter API for building shells and batch
scripts. A command-line interface with readline support is included 
as part of the CPAN distribution. See <SQL::Shell::Manual> for a user
guide. SQL::Shell offers features similar to the mysql or sql*plus
client programs but is database independent.

This package provides the backend SQL::Shell libraries.  For the 
command-line interperter (sqlsh), please also install the sqlsh package.

%package -n sqlsh
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Command interperter for DBI shells
Requires:   %{name} = %{version}-%{release}

%description -n sqlsh
sqlsh is a command-interpreter API for building shells and batch
scripts. sqlsh/SQL::Shell offers features similar to the mysql or 
sql*plus client programs but is database independent.

See the SQL::Shell::Manual manpage for a user guide. 

%prep
%setup -q -n SQL-Shell-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc COPYING Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files -n sqlsh
%defattr(-,root,root,-)
%{_bindir}/sqlsh
%{_mandir}/man1/sqlsh.1.gz

%changelog
* Mon Jun 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.14-2
- add defattr to sqlsh, as suggested in review

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.14-1
- submission
- define subpackage

* Wed Apr 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.14-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

